Package com.google.android.exoplayer2.transformer

## Class TransformationResult.Builder

- java.lang.Object
- - com.google.android.exoplayer2.transformer.TransformationResult.Builder

- Enclosing class:
    TransformationResult

      public static final class TransformationResult.Builder
      extends Object

  A builder for `TransformationResult` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TransformationResult` | `build()` |
    `TransformationResult.Builder` | `setAverageAudioBitrate​(int averageAudioBitrate)` | Sets the average audio bitrate.
    `TransformationResult.Builder` | `setAverageVideoBitrate​(int averageVideoBitrate)` | Sets the average video bitrate.
    `TransformationResult.Builder` | `setDurationMs​(long durationMs)` | Sets the duration of the video in milliseconds.
    `TransformationResult.Builder` | `setFileSizeBytes​(long fileSizeBytes)` | Sets the file size in bytes.
    `TransformationResult.Builder` | `setVideoFrameCount​(int videoFrameCount)` | Sets the number of video frames.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setDurationMs

          @CanIgnoreReturnValue
          public TransformationResult.Builder setDurationMs​(long durationMs)

      Sets the duration of the video in milliseconds.

      Input must be positive or `C.TIME_UNSET`.

    - #### setFileSizeBytes

          @CanIgnoreReturnValue
          public TransformationResult.Builder setFileSizeBytes​(long fileSizeBytes)

      Sets the file size in bytes.

      Input must be positive or `C.LENGTH_UNSET`.

    - #### setAverageAudioBitrate

          @CanIgnoreReturnValue
          public TransformationResult.Builder setAverageAudioBitrate​(int averageAudioBitrate)

      Sets the average audio bitrate.

      Input must be positive or `C.RATE_UNSET_INT`.

    - #### setAverageVideoBitrate

          @CanIgnoreReturnValue
          public TransformationResult.Builder setAverageVideoBitrate​(int averageVideoBitrate)

      Sets the average video bitrate.

      Input must be positive or `C.RATE_UNSET_INT`.

    - #### setVideoFrameCount

          @CanIgnoreReturnValue
          public TransformationResult.Builder setVideoFrameCount​(int videoFrameCount)

      Sets the number of video frames.

      Input must be positive or `0`.

    - #### build

          public TransformationResult build()